curl --location --request POST 'https://api.explo.co/api/refresh_user_group_token/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"current_token": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
}'
{
"success": 1,
"user_group": {
"team_id": 3,
"token": "<user_group_token_to_auth_dashboard>",
"name": "Example 1",
"provided_id": "example_1"
}
}
End User Group API [Deprecated]
Refresh User Group Token
POST
/
api
/
refresh_user_group_token
/
curl --location --request POST 'https://api.explo.co/api/refresh_user_group_token/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"current_token": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
}'
{
"success": 1,
"user_group": {
"team_id": 3,
"token": "<user_group_token_to_auth_dashboard>",
"name": "Example 1",
"provided_id": "example_1"
}
}
The End User Group API is now deprecated and has been replaced by the Customer
API. Each End User Group entity corresponds to a Customer entity, with its
user_group_id corresponding to a Customer customer_id.This API method has been replaced by Refresh Customer Token.Body
string
This is the current user group token you have for the user group that you want
to rotate.
Response
number
Indicates whether the call was successful. 1 if successful, 0 if not.
object
The contents of the user group
Show Toggle object
Show Toggle object
number
This is Explo’s internal ID for this user group. You don’t need to record this
information, since you will not need to use it.
string
This is the user group token (customerToken or CUSTOMER_TOKEN) that will be
used to identify which user group is viewing the dashboard. You should save
this on your end to use when rendering an embedded dashboard.
string
This is the name of the user group provided in the request body.
string
This is the user_group_id provided in the request body.
JSON or null
This is the environment tag of the user group. Possible values are ‘Customer’
and ‘Testing’. User group id’s must be unique to each environment, so you can
not create multiple user groups with with same id. If you have a production
customer and a test user group with the same id, you will be required to label
one as ‘Customer’ and another as ‘Testing’
curl --location --request POST 'https://api.explo.co/api/refresh_user_group_token/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"current_token": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
}'
{
"success": 1,
"user_group": {
"team_id": 3,
"token": "<user_group_token_to_auth_dashboard>",
"name": "Example 1",
"provided_id": "example_1"
}
}